Skip to main content
PUT
/
task
/
{taskId}
/
move
Move task by ID
curl --request PUT \
  --url https://apiweb.mile.app/api/v3/task/{taskId}/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hubId": "615bb662bd32b7726709acd2"
}
'
{
  "status": true,
  "message": "Success",
  "task": {
    "_id": "6352736c628401059b37a2e2",
    "flow": "Visit",
    "hubId": "615bb662bd32b7726709acd2",
    "startTime": "2022-11-02T07:28:23+00:00",
    "organizationId": "634e98098ce07d29474a7e22",
    "status": "ONGOING",
    "hub": {
      "_id": "615bb662bd32b7726709acd2",
      "name": "Central Jakarta",
      "lat": -6.205154152722965,
      "lng": 106.84667067970608
    },
    "orderIndex": 10,
    "field1": "Jack Ward",
    "field2": "Gambir Jakarta",
    "field3": "-6.230815251,106.75684387",
    "createdFrom": "API",
    "endTime": "2022-11-05T07:28:23+00:00",
    "createdBy": "Roger",
    "createdTime": "2022-11-01T07:28:23+00:00",
    "updatedTime": "2022-11-01T07:28:23+00:00",
    "assignedBy": "Roger",
    "assignedTime": "2022-01-25T20:31:23+00:00",
    "assignedTo": {
      "_id": "61c2fbaaf27b374e8913fe77",
      "name": "leandro",
      "email": "leandro@mile.app",
      "hubId": [
        "634e98498ce07d29474a7e29",
        "615bb662bd32b7726709acd2"
      ],
      "organization": null,
      "role": null
    },
    "assignee": [
      "leandro@mile.app"
    ]
  }
}

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Path Parameters

taskId
string
required

Unique identifier for the task that generated by system. Example: 6352736c628401059b37a2e2

Body

application/json
hubId
string
required

Fundamental entity within an organization, serving as the central point for managing various operational components. Use GET /hubs endpoint to get the list of Hub IDs. Example: 634e98498ce07d29474a7e29

Response

Success

status
boolean

Status of response.

message
string

Message of API response.

task
object

Detail of object task.